# Credits & Acknowledgements
helloGPU is built on the back of giants and uses a plethora of open source software to accomplish what it does. All of the hard work done by those authors, maintainers, and contributors is greatly appreciated.
## 3rd Party Software
  * [bzip2](http://www.bzip.org/) - "bzip2", the associated library "libbzip2", and all documentation, are copyright (C) 1996-2010 Julian R Seward.  All rights reserved.
    Compression library
  * [CLI11](https://github.com/CLIUtils/CLI11) - CLI11 1.6 Copyright (c) 2017-2018 University of Cincinnati, developed by Henry Schreiner under NSF AWARD 1414736. All rights reserved.
    Command line parser for c++
  * [DirectXTex](https://github.com/Microsoft/DirectXTex) - Copyright (c) 2016 Microsoft Corp. Distributed under the MIT License.
    Texture processing library written by Microsoft
  * [EASTL](https://github.com/electronicarts/EASTL) - Copyright (C) 2015 Electronic Arts Inc. All rights reserved.
    STL like library written by EA with performance in mind
  * [fmt](http://fmtlib.net/latest/index.html) - Copyright (c) 2012 - 2016, Victor Zverovich. All rights reserved. Distributed under the BSD 2-Clause "Simplified" License.
    C++ string formatting library
  * [glbinding](https://github.com/cginternals/glbinding) - Copyright (c) 2014-2015 Computer Graphics Systems Group at the Hasso-Plattner-Institute and CG Internals GmbH, Germany. Distributed under the MIT License.
    Cross-platform C++ binding for the OpenGL API
  * [gli](http://gli.g-truc.net) - Copyright (c) 2010 - 2017 G-Truc Creation. Distributed under the MIT License.
    C++ image library for graphics software
  * [glm](https://glm.g-truc.net) - Copyright (c) 2005 - G-Truc Creation. Distributed under the MIT License.
    C++ mathematics library for graphics software based on the OpenGL Shading Language (GLSL) specifications
  * [Dear ImGui](https://github.com/ocornut/imgui) - Copyright (c) 2014-2019 Omar Cornut. Distributed under the MIT License.
    Bloat-free graphical user interface library for C++
  * [imgui_markdown](https://github.com/juliettef/imgui_markdown) - Copyright (c) 2019 Juliette Foucaut and Doug Binks. Distributed under the zlib license.
    Markdown library for Dear ImGui
  * [IconFontCppHeaders](https://github.com/juliettef/IconFontCppHeaders) - Copyright (c) 2017 Juliette Foucaut and Doug Binks. Distributed under the zlib license.
    C++11, C89 headers and C# classes for icon fonts Font Awesome, Fork Awesome, Google Material Design icons, Material Design Icons, Kenney game icons and Ionicons.
  * [libjpeg-turbo](https://www.libjpeg-turbo.org/) - Copyright (C)2009-2019 D. R. Commander. All Rights Reserved. Copyright (C)2015 Viktor Szathmáry. All Rights Reserved. Distributed under Clause 2 of the Modified BSD License.
    JPEG image codec that uses SIMD instructions (MMX, SSE2, AVX2, NEON, AltiVec) to accelerate baseline JPEG compression and decompression.
  * [liblzma](https://tukaani.org/xz/) - Released to the public domain.
    Compression library with an API similar to that of zlib
  * [libpng](http://www.libpng.org/pub/png/libpng.html) - Copyright (c) 1998-2002,2004,2006-2017 Glenn Randers-Pehrson. (Version 0.96 Copyright (c) 1996, 1997 Andreas Dilger). (Version 0.88 Copyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.). (Version 0.96 Copyright (c) 1996, 1997 Andreas Dilger). (Version 0.88 Copyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.). Distributed under the libpng license.
    Official PNG reference library
  * [readerwriterqueue & concurrentqueue](https://github.com/cameron314) - Copyright (c) 2013-2015, Cameron Desrochers. All rights reserved. Distributed under the Simplified BSD License.
    A fast single-producer, single-consumer lock-free queue for C++. A fast multi-producer, multi-consumer lock-free concurrent queue for C++11.
  * [GSL](https://github.com/Microsoft/GSL) - Copyright (c) 2015 Microsoft Corporation. All rights reserved. Distributed under the MIT License.
    Microsofts implementation of the c++ Guidelines Support Library.
  * [murmurhash3](https://github.com/aappleby/smhasher/wiki/MurmurHash3) - Released to the public domain.
    Fast hashing alogrithm developed by Austin Appleby.
  * [nlohmann-json](https://github.com/nlohmann/json) - Copyright (c) 2013-2018 Niels Lohmann. Distributed under the MIT License.
    C++ json library
  * [sdl2](https://libsdl.org/) - Distributed under the zlib license.
    Simple DirectMedia Layer is a cross-platform development library designed to provide low level access to audio, keyboard, mouse, joystick, and graphics hardware via OpenGL and Direct3D.
  * [spglog](https://github.com/gabime/spdlog) - Copyright (c) 2016 Gabi Melman. Distributed under the MIT License.
    Very fast, header only, C++ logging library.
  * [tiff](http://www.simplesystems.org/libtiff/) - Copyright (c) 1988-1997 Sam Leffler. Copyright (c) 1991-1997 Silicon Graphics, Inc.
    A library that supports the manipulation of TIFF image files.
  * [zlib](https://www.zlib.net/) - Copyright (C) 1995-2017 Jean-loup Gailly and Mark Adler
    A compression library
## Special Thanks
  * Maggie Lubanko
  * John Scrapper
  * Mark Wood
  * Alex Tardif
  * Christopher Mortonson